<!-- Signature: poko class library version 0.0.2 (cls_html.php) -->
<?php

/**
* @class cls_html
*
* @brief Simple HTML frame work.
*
* <pre>
*   HTMLڡΤΡĶ״ʰץ󥿡ե
* ˡȥ롢ʸɡ륷ȥեλ꤬ñˤǤ褦
* Ƥ롣衼\<meta\>Ȥ\<html\>\<head\>\<title\>\</title\>\</head\>\<body\>\</body\>\</html\>
* 귿Ϥ򤷤Ƥ륯饹
* 绨ĤʻȤ
*
* $obj = new cls_html;
* $obj->title = "ȥ";
* $obj->charset = "s"; //s or S ϤޤмưShift_JIS, e or E ǻϤޤeuc-jpmetaǺäƤ롣
* $obj->css_file = "../../css_sample.css";
* $obj->meta = '<meta http-equiv="Refresh" content="10;URL=http://xyz.com/">';
*	//¾metaɬפ˱ơԤ⤷äꤤȤƤ͡
* $obj->style = ""; //ΥڡˤΤ߻Ȥ륹륷Ȥꡣ
* $obj->head = ""; //¾JavaScriptʤɡheadǻꤹ٤Τꡣ
* $obj->body_option = "text=purple link=pink vlink=blue alink=black bgcolor=red background=\"../../bg_image.gif\" bgproperties=fixed";
*
* $obj->start_html();
* ...
* ʽ
* ...
* $obj->end_html();
*
*  ˴ñʤΤʤΤ(ȤȤŪʸɻäȴñˤȤΤ顣)
* ܤȤϰʲΥǤʤƤ㤤
* </pre>
* @author   Masahiko Sakamoto(sakamoto@c-hino.org)
* @version  $Id: cls_html.php,v 1.1.1.1 2004/05/23 12:31:42 m_sakamoto Exp $
*
* @internal
* Ǻ 2002/06/24
* ʹߤ礯礯ޥʡѹäƤ롣
*
*/
class cls_html {

	/**
	* @var	title
	* This specifies \<title\> tag.
	* @see	start_html()
	*/
	var $title = "no title";

	/**
	* @var	charset
	* This specifies char code like "euc-jp" or "Shift_JIS".\n
	* In default, it's "euc-jp", but you can simply specify "e", \n
	* then, automaticaly assumed "euc-jp". And you can simpley \n
	* specify "s", automatically assumed "Shift_JIS".
	* @see	start_html()
	*/
	var $charset = "euc-jp";

	/**
	* @var	css_file
	* This specifies style sheet file (*.css. etc.)\n
	* Note: Netscape Navigator can't handle css_file including.\n
	* so, You should use $style variable rather than this.
	* @see	start_html()
	*/
	var $css_file = "";

	/**
	* @var	meta
	* This specifies meta tags.
	* @see	start_html()
	*/
	var $meta = "";

	/**
	* @var	style
	* This specifies style sheet.
	* @see	start_html()
	*/
	var $style = "";

	/**
	* @var	head
	* This specifies \<head\> tag contents.
	* @see	start_html()
	*/
	var $head = "";

	/**
	* @var	body_option
	* This indicate \<body\> tag options.
	* @see 	start_html()
	*/
	var $body_option = "";

	/**
	* @var	subject
	* This indicate text which is displayed Top of html page. \n
	* And, it's outputted as normal text, if you wanna hilight your subject,
	* you must include tags like \<b\>, \<h2\>, in this variable.
	* @see	start_html()
	*/
	var $subject = "";

	/**
	* @var copy_right
	* This is text which is shown as copyright at the bottom of the page.
	* This text can be null.
	* @see	end_html()
	*/
	var $copy_right = "";

	function cls_html() {
	}

	/**
	* Print html heades (which contains meta tags, style sheet tags (and maybe javascript),
	* and print out "subject" member as normal text(so, if you wanna hilight your subject, 
	* you must include html tags like \<b\>, \<h2\>, in "subject" member).
	* @see	cls_html::subject
	*/
	function start_html() {
		$this->charset = ereg("^[sS]",$this->charset) ? "Shift_JIS" : "euc-jp";
		$html = "<html>\n";
		$html .= "<head>\n\t<title>$this->title</title>\n";
		$html .= "<link rel=stylesheet type=\"text/css\" href=\"$this->css_file\">\n";
		$html .= "<meta http-equiv=\"content-type\" content=\"text/html; charset=$this->charset\">\n";
		$html .= $this->meta;
		$html .= "<style type=\"text/css\">\n".$this->style."</style>\n";
		$html .= $this->head."\n</head>\n";
		$html .= "<body $this->body_option>\n";
		$html .= $this->subject."\n";
		print($html);
	}

	/**
	* Print copyright text and html footer.
	* @see	cls_html::copy_right
	*/
	function end_html() {
		print("$this->copy_right\n</body>\n</html>\n");
	}
}
?>
