<!-- Signature: poko class library version 0.0.2 (cls_mail.php) -->
<?php

/**
* @class cls_mail
*
* @brief Generic Pure Text Mail Send Class
*
* <pre>
*  ᡼Ѿ饹
* ƥȥ᡼ꤷƤޤ
* ʸФMIME󥳡ɤԲġŬʤ꼫׵ᡣ
* </pre>
* @author   Masahiko Sakamoto(sakamoto@c-hino.org)
* @version  $Id: cls_mail.php,v 1.1.1.1 2004/05/23 12:31:42 m_sakamoto Exp $
*
* @internal
* Ǻ 2002/06/24
* ʹߤ礯礯ޥʡѹäƤ롣
*
*/
class cls_mail {

	/**
	* @var	_from
	* This specifies "From" field of mail.
	*/
	var $_from = "";

	/**
	* @var	_reply_to
	* This specifies "Reply-To" field of mail.
	*/
	var $_reply_to = "";

	/**
	* @var	_bcc
	* This specifies "Bcc:" field of mail.
	*/
	var $_bcc = "";

	/**
	* @var	_cc
	* This specifies "Cc:" field of mail.
	*/
	var $_cc = "";

	/**
	* @var	_charset
	* This specifies char code of mail context.
	*/
	var $_charset = "euc-jp"; //"iso-2022-jp";

	/**
	* @var	_to
	* This specifies "To:" field of mail.
	*/
	var $_to = "";

	/**
	* @var	_code_convert
	* This boolean value decides using trapping handler of converting char code.\n
	* If specified true, code_convert member is called.
	*/
	var $_code_convert = false;

	/**
	* @var _std_subject_conv
	* This boolean value decides using converting standard "Subject" tag.\n
	* If specified true, "Subject" tag is encoded "B tag" with ISO-2022-JP and \n
	* Base 64 encoded.
	*/
	var $_std_subject_conv = true;

  /**
   * @var subject_charset_src
   * This specifies Subject charset (for source)
   */
  var $subject_charset_src = "EUC-JP";

  /**
   * @var subject_charset_des
   * This specifies Subject charset (for converted text(mb_convert_encoding))
   */
  var $subject_charset_dest = "ISO-2022-JP";

	/**
	* @var system_header
	* Buffer of base headers like "From", "Reply-To", e.t.c...
	*/
  var $system_header = "Content-Type: text/plain;charset=euc-jp";

	/**
	* @var user_header
	* Buffer of User Defined Template Header strings.
	*/
	var $user_header = "";

	/**
	* @var user_footer
	* Buffer of User Define Template Footer strings.
	*/
	var $user_footer = "";

	/**
	* @var	subject
	* This specifies "subject" field of mail.
	*/
	var $subject = "";

	/**
	* @var body
	* This is body text of mail.
	*/
	var $body = ""; //=$this->user_header + ʸ + $this->user_footer

	/**
	* @var	debug
	* If specified not null, mail is not send.
	*/
	var $debug = 0;

	/**
	*  Generates basic headers which contains "From", "Reply-To", e.t.c.\n
	* headers.
	*  No trapping functions, so, you should override directly.
	*/
	function create_system_header(){
		$sheader = "From: " . $this->_from . "\n";
		$sheader .= "Reply-To: " . ($this->_reply_to ? $this->_reply_to : $this->_from). "\n";
		$sheader .= "X-Mailer: PHP/FI\". phpversion();\nMime-version: 1.0\n";
		$sheader .= $this->system_header;
		$sheader .= "bcc:$this->_bcc";
		$this->system_header = $sheader;
	}

	/**
	* Body Method of sending mail.\n
	*  checking items, generates basic headers, build mail contents, \n
	*  trapping functions of encoding char code.\n
	* Return value is that of mail() function(PHP function).
	*
	* @param	_subject subject of mail
	* @param	_body    pure body strings
	* @return	if success, return true. otherwise, return false.
	*/
	function mail($_subject=0, $_body=0) {
		//åѥȥåԥ󥰥ϥɥ
		if($this->chk_mailitems()) return false;

		//ܥإå(ȥåԥ󥰴ޤ)ʸ̾
		$this->create_system_header();

		//̾ʸꤵƤХ֥Τ˳Ǽ
		if($_subject) $this->subject = $_subject;
		if($_body) $this->body = $_body;

		//ǽŪʸϥ֥Τ˳ǼƤΤ뤳Ȥա
		$this->body = $this->user_header.$this->body.$this->user_footer;

		//ʸѴȥåԥ
		// ʸΥѴ
		$this->_code_convert and $this->code_convert();
		// ̾ʬΥѴ
		$this->_std_subject_conv and $this->std_subject_conv();

		//᡼
		if($this->debug) {
			print("<br>ߥǥХå⡼ɤcls_mailϲƯ档᡼ϼºݤˤϹԤƤʤΤǰ¿Ʋ<br>\n");
			return;
		}
		return mail( $this->_to, $this->subject, $this->body, $this->system_header);
	}

	/**
	* ܤƤåȥåԥ󥰥ϥɥ顣\n
	* åܤʤɤϥС饤ɤꡣ\n
	* ϼʤΤǡcls_mailΥѿ$GLOBALSϤΤߥåǤ롣
	* @return	If error \b raised, return \b true. \n
	*		If \b Noerror, return \b false.
	*/
	function chk_mailitems() {
		if($this->_to =="" || ereg("^( |)*$",$this->_to)) {
			$this->submit_error("褬ꤵƤޤ");
			return true;
		}
		return false;
	}

	/**
	* chk_mailitemsѤ롢귿顼åѥߥ˴ؿ
	* @param	str Strings of error message.
	*/
	function submit_error($str) {
		print("<center><font color=red>ꥨ顼<b>$str</b></font></center><br>\n");
		return;
	}

	/**
	* ʸѴѥȥåԥ󥰴ؿ\n
	* ǥեȤǤEUC-\>SJISѴܤƤ뤱ɡäȥåԥ󥰤\n
	* ųݤƤʤΤǡĴľܥС饤ɤĺס\n
	* ϼʤΤǡľѴѿ򥪡С饤ɤǻꤷĺס\n
	* $this-\>_code_convert trueλΤ߸ƤФޤ\n
	* @param	buf Strings to be code converted.
	* @param	src_code Character code of source string.
	* @param	dest_code Character code of destination string.
	* @return	Converted string.
	*/
	function code_convert($buf = "", $src_code = "EUC-JP", $dest_code = "SJIS") {
		$buf = mb_convert_encoding($buf, $dest_code, $src_code);
		return $buf;
	}

	/**
	* ɸŪsubjectѴؿ\n
	* ŪEUC-\>JISѴ塢Base64󥳡ǥ󥰡ISO2022-JPBղá\n
	* ѿ$this-\>subjectФƺѤ롣
	* @see		csl_mail::subject
	* @param	src_code Character code of source string.
	* @param	dest_code Character code of destination string.
	*/
	function std_subject_conv() {
	  $this->subject = mb_convert_encoding($this->subject, $this->subject_charset_dest, $this->subject_charset_src);
		if(get_magic_quotes_gpc()) $this->subject = stripslashes($this->subject);
		$this->subject = "=?". $this->subject_charset_dest."?B?" . base64_encode($this->subject) . "?="; //B󥳡
	}
}
?>
